Commit 47c3b4ec authored by Kristian Høgsberg's avatar Kristian Høgsberg

2005-06-02 Kristian Høgsberg <krh@redhat.com>

        Patch from Stanislav Brabec <sbrabec@suse.cz>:

        * configure.ac:
        * poppler-cairo.pc.in:
        * poppler-glib.pc.in:
        * poppler-qt.pc.in:
        * poppler-splash.pc.in: Misc fixes to pkg-config files.
parent 9f0da96d
2005-06-02 Kristian Høgsberg <krh@redhat.com>
Patch from Stanislav Brabec <sbrabec@suse.cz>:
* configure.ac:
* poppler-cairo.pc.in:
* poppler-glib.pc.in:
* poppler-qt.pc.in:
* poppler-splash.pc.in: Misc fixes to pkg-config files.
2005-06-01 Jeff Muizelaar <jeff@infidigm.net>
* poppler/Error.cc:
......
......@@ -175,15 +175,17 @@ if test x$enable_splash_output = xyes; then
AC_DEFINE(HAVE_SPLASH)
fi
CAIRO_VERSION="0.5"
AC_SUBST(CAIRO_VERSION)
AC_ARG_ENABLE(cairo-output,
AC_HELP_STRING([--disable-cairo-output],
[Don't build the cairo graphics backend.]),
enable_cairo_output=$enableval,
enable_cairo_output="try")
if test x$enable_cairo_output = xyes; then
PKG_CHECK_MODULES(CAIRO, cairo >= 0.5.0 fontconfig)
PKG_CHECK_MODULES(CAIRO, cairo >= $CAIRO_VERSION fontconfig)
elif test x$enable_cairo_output = xtry; then
PKG_CHECK_MODULES(CAIRO, cairo >= 0.5.0 fontconfig,
PKG_CHECK_MODULES(CAIRO, cairo >= $CAIRO_VERSION fontconfig,
[enable_cairo_output="yes"],
[enable_cairo_output="no"])
fi
......
......@@ -6,5 +6,4 @@ includedir=@includedir@
Name: poppler-cairo
Description: Cairo backend for Poppler PDF rendering library
Version: @VERSION@
Requires: poppler-@VERSION@ cairo >= 0.3
Requires: poppler = @VERSION@ cairo >= @CAIRO_VERSION@
......@@ -3,10 +3,10 @@ exec_prefix=@exec_prefix@
libdir=@libdir@
includedir=@includedir@
Name: poppler
Name: poppler-glib
Description: GLib wrapper for poppler
Version: @VERSION@
Requires: gobject-2.0 gdk-pixbuf-2.0
Requires: poppler = @VERSION@ gobject-2.0 gdk-pixbuf-2.0
Libs: -L${libdir} -lpoppler-glib
Cflags: -I${includedir}/poppler/glib
......@@ -6,6 +6,7 @@ includedir=@includedir@
Name: poppler-qt
Description: Qt bindings for poppler
Version: @VERSION@
Requires: poppler = @VERSION@
Libs: -L${libdir} -lpoppler-qt
Cflags: -I${includedir}/poppler
......@@ -6,5 +6,4 @@ includedir=@includedir@
Name: poppler-splash
Description: Splash backend for Poppler PDF rendering library
Version: @VERSION@
Requires: poppler-@VERSION@
Requires: poppler = @VERSION@
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment